Subject: bug#9767: 24.0.90; gdb initialization on Cygwin

From: Stefan Monnier <[email-masked]>
Date: Fri, 21 Oct 2011 18:24:00 -0400

> unreliable, and, in particular, it consistently fails on Cygwin.  In other
> words, the SIGALRM is delivered before select times out, causing select to
> get interrupted.  So wait_reading_process_output does indeed loop, and
> select fails every time (except when a key is pressed).

Why is it a problem that `select' fails?  It should not be a problem: in
the worst case it should only mean that Emacs does "busy waiting" and
uses up more CPU than needed.  But it shouldn't prevent Emacs from
reading input from processes (which IIUC is the actual problem we're
trying to solve).

        Stefan